int6kdetect(1)

NAME
int6kdetect - Qualcomm Atheros UART Device Detector

SYNOPSIS
int6kdetect [options] [...]

DESCRIPTION
None.

COMMENTS
None.

OPTIONS

-c  Assume device is in command mode. This reduces the amount of time needed to detect serial device settings.

-l tty
    Communicate with the local powerline device over the named serial interface on the local host. The program default is "/dev/ttyUSB0" for Linux and "com1:" for Windows. The program default is replaced if environment variable PLCUART is defined. This option over-rides those default settings.

-q  Suppress progress and error information on stderr.

-v  Display actual serial line commands and responses on stdout.

-?,--help
    Print program help summary on stdout. This option takes precedence over other options on the command line.

-!,--version
    Print program version information on stdout. This option takes precedence over other options on the command line. Use this option when sending screen dumps to Atheros Technical Support so that they know exactly which version of the Linux Toolkit you are using.

ARGUMENTS
None.

REFERENCES
See the Qualcomm Atheros HomePlug AV Firmware Technical Reference Manual for more information.

DISCLAIMER
Qualcomm Atheros serial line commands are proprietary to Qualcomm Atheros, Ocala FL USA. Consequently, public information is not available. Qualcomm Atheros reserves the right to modify command line syntax or command functionality in future firmware releases without any obligation to notify or compensate product or program users.

EXAMPLES
None.

SEE ALSO
amp(1), int6kbaud(1), int6kuart(1), ttysig(1)

CREDITS
 Nathaniel Houghton